Index: WebKit/gtk/webkit/gdom.h
===================================================================
--- WebKit/gtk/webkit/gdom.h	(revision 0)
+++ WebKit/gtk/webkit/gdom.h	(revision 0)
@@ -0,0 +1,160 @@
+#include <webkit/GdomEventTargetNode.h>
+#include <webkit/GdomDOMObject.h>
+#include <webkit/GdomAttr.h>
+#include <webkit/GdomBarInfo.h>
+#include <webkit/GdomCanvasGradient.h>
+#include <webkit/GdomCanvasPattern.h>
+#include <webkit/GdomCanvasPixelArray.h>
+#include <webkit/GdomCanvasRenderingContext2D.h>
+#include <webkit/GdomCDATASection.h>
+#include <webkit/GdomCharacterData.h>
+#include <webkit/GdomClipboard.h>
+#include <webkit/GdomComment.h>
+#include <webkit/GdomConsole.h>
+#include <webkit/GdomCounter.h>
+#include <webkit/GdomCSSCharsetRule.h>
+#include <webkit/GdomCSSFontFaceRule.h>
+#include <webkit/GdomCSSImportRule.h>
+#include <webkit/GdomCSSMediaRule.h>
+#include <webkit/GdomCSSPageRule.h>
+#include <webkit/GdomCSSPrimitiveValue.h>
+#include <webkit/GdomCSSRule.h>
+#include <webkit/GdomCSSRuleList.h>
+#include <webkit/GdomCSSStyleDeclaration.h>
+#include <webkit/GdomCSSStyleRule.h>
+#include <webkit/GdomCSSStyleSheet.h>
+#include <webkit/GdomCSSValue.h>
+#include <webkit/GdomCSSValueList.h>
+#include <webkit/GdomCSSVariablesDeclaration.h>
+#include <webkit/GdomCSSVariablesRule.h>
+#include <webkit/GdomDatabase.h>
+#include <webkit/GdomDocumentFragment.h>
+#include <webkit/GdomDocument.h>
+#include <webkit/GdomDocumentType.h>
+#include <webkit/GdomDOMApplicationCache.h>
+#include <webkit/GdomDOMCoreException.h>
+#include <webkit/GdomDOMImplementation.h>
+#include <webkit/GdomDOMParser.h>
+#include <webkit/GdomDOMSelection.h>
+#include <webkit/GdomDOMWindow.h>
+#include <webkit/GdomElement.h>
+#include <webkit/GdomEntity.h>
+#include <webkit/GdomEntityReference.h>
+#include <webkit/GdomEventException.h>
+#include <webkit/GdomEvent.h>
+#include <webkit/GdomFile.h>
+#include <webkit/GdomFileList.h>
+#include <webkit/GdomHistory.h>
+#include <webkit/GdomHTMLAnchorElement.h>
+#include <webkit/GdomHTMLAppletElement.h>
+#include <webkit/GdomHTMLAreaElement.h>
+#include <webkit/GdomHTMLBaseElement.h>
+#include <webkit/GdomHTMLBaseFontElement.h>
+#include <webkit/GdomHTMLBlockquoteElement.h>
+#include <webkit/GdomHTMLBodyElement.h>
+#include <webkit/GdomHTMLBRElement.h>
+#include <webkit/GdomHTMLButtonElement.h>
+#include <webkit/GdomHTMLCanvasElement.h>
+#include <webkit/GdomHTMLCollection.h>
+#include <webkit/GdomHTMLDirectoryElement.h>
+#include <webkit/GdomHTMLDivElement.h>
+#include <webkit/GdomHTMLDListElement.h>
+#include <webkit/GdomHTMLDocument.h>
+#include <webkit/GdomHTMLElement.h>
+#include <webkit/GdomHTMLEmbedElement.h>
+#include <webkit/GdomHTMLFieldSetElement.h>
+#include <webkit/GdomHTMLFontElement.h>
+#include <webkit/GdomHTMLFormElement.h>
+#include <webkit/GdomHTMLFrameElement.h>
+#include <webkit/GdomHTMLFrameSetElement.h>
+#include <webkit/GdomHTMLHeadElement.h>
+#include <webkit/GdomHTMLHeadingElement.h>
+#include <webkit/GdomHTMLHRElement.h>
+#include <webkit/GdomHTMLHtmlElement.h>
+#include <webkit/GdomHTMLIFrameElement.h>
+#include <webkit/GdomHTMLImageElement.h>
+#include <webkit/GdomHTMLInputElement.h>
+#include <webkit/GdomHTMLIsIndexElement.h>
+#include <webkit/GdomHTMLLabelElement.h>
+#include <webkit/GdomHTMLLegendElement.h>
+#include <webkit/GdomHTMLLIElement.h>
+#include <webkit/GdomHTMLLinkElement.h>
+#include <webkit/GdomHTMLMapElement.h>
+#include <webkit/GdomHTMLMarqueeElement.h>
+#include <webkit/GdomHTMLMenuElement.h>
+#include <webkit/GdomHTMLMetaElement.h>
+#include <webkit/GdomHTMLModElement.h>
+#include <webkit/GdomHTMLObjectElement.h>
+#include <webkit/GdomHTMLOListElement.h>
+#include <webkit/GdomHTMLOptGroupElement.h>
+#include <webkit/GdomHTMLOptionElement.h>
+#include <webkit/GdomHTMLOptionsCollection.h>
+#include <webkit/GdomHTMLParagraphElement.h>
+#include <webkit/GdomHTMLParamElement.h>
+#include <webkit/GdomHTMLPreElement.h>
+#include <webkit/GdomHTMLQuoteElement.h>
+#include <webkit/GdomHTMLScriptElement.h>
+#include <webkit/GdomHTMLSelectElement.h>
+#include <webkit/GdomHTMLStyleElement.h>
+#include <webkit/GdomHTMLTableCaptionElement.h>
+#include <webkit/GdomHTMLTableCellElement.h>
+#include <webkit/GdomHTMLTableColElement.h>
+#include <webkit/GdomHTMLTableElement.h>
+#include <webkit/GdomHTMLTableRowElement.h>
+#include <webkit/GdomHTMLTableSectionElement.h>
+#include <webkit/GdomHTMLTextAreaElement.h>
+#include <webkit/GdomHTMLTitleElement.h>
+#include <webkit/GdomHTMLUListElement.h>
+#include <webkit/GdomImageData.h>
+#include <webkit/GdomJavaScriptCallFrame.h>
+#include <webkit/GdomKeyboardEvent.h>
+#include <webkit/GdomLocation.h>
+#include <webkit/GdomMediaList.h>
+#include <webkit/GdomMessageEvent.h>
+#include <webkit/GdomMimeTypeArray.h>
+#include <webkit/GdomMimeType.h>
+#include <webkit/GdomMouseEvent.h>
+#include <webkit/GdomMutationEvent.h>
+#include <webkit/GdomNamedNodeMap.h>
+#include <webkit/GdomNavigator.h>
+#include <webkit/GdomNodeFilter.h>
+#include <webkit/GdomNode.h>
+#include <webkit/GdomNodeIterator.h>
+#include <webkit/GdomNodeList.h>
+#include <webkit/GdomNotation.h>
+#include <webkit/GdomOverflowEvent.h>
+#include <webkit/GdomPluginArray.h>
+#include <webkit/GdomPlugin.h>
+#include <webkit/GdomProcessingInstruction.h>
+#include <webkit/GdomProgressEvent.h>
+#include <webkit/GdomRangeException.h>
+#include <webkit/GdomRange.h>
+#include <webkit/GdomRect.h>
+#include <webkit/GdomScreen.h>
+#include <webkit/GdomSQLError.h>
+#include <webkit/GdomSQLResultSet.h>
+#include <webkit/GdomSQLResultSetRowList.h>
+#include <webkit/GdomSQLTransaction.h>
+#include <webkit/GdomStorageEvent.h>
+#include <webkit/GdomStorage.h>
+#include <webkit/GdomStyleSheet.h>
+#include <webkit/GdomStyleSheetList.h>
+#include <webkit/GdomTextEvent.h>
+#include <webkit/GdomText.h>
+#include <webkit/GdomTreeWalker.h>
+#include <webkit/GdomUIEvent.h>
+#include <webkit/GdomWebKitAnimationEvent.h>
+#include <webkit/GdomWebKitCSSTransformValue.h>
+#include <webkit/GdomWebKitTransitionEvent.h>
+#include <webkit/GdomWheelEvent.h>
+#include <webkit/GdomXMLHttpRequestException.h>
+#include <webkit/GdomXMLHttpRequest.h>
+#include <webkit/GdomXMLHttpRequestProgressEvent.h>
+#include <webkit/GdomXMLHttpRequestUpload.h>
+#include <webkit/GdomXMLSerializer.h>
+#include <webkit/GdomXPathEvaluator.h>
+#include <webkit/GdomXPathException.h>
+#include <webkit/GdomXPathExpression.h>
+#include <webkit/GdomXPathNSResolver.h>
+#include <webkit/GdomXPathResult.h>
+#include <webkit/GdomXSLTProcessor.h>
Index: WebKit/gtk/webkit/webkitevent.h
===================================================================
--- WebKit/gtk/webkit/webkitevent.h	(revision 0)
+++ WebKit/gtk/webkit/webkitevent.h	(revision 0)
@@ -0,0 +1,60 @@
+/*
+ * Copyright (C) 2007 Holger Hans Peter Freyther
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public License
+ * along with this library; see the file COPYING.LIB.  If not, write to
+ * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+ * Boston, MA 02110-1301, USA.
+ */
+
+#ifndef WEBKIT_EVENT_H
+#define WEBKIT_EVENT_H
+
+#include <glib-object.h>
+
+#include <webkit/webkitdefines.h>
+
+G_BEGIN_DECLS
+
+#define WEBKIT_TYPE_EVENT            (webkit_event_get_type())
+#define WEBKIT_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), WEBKIT_TYPE_EVENT, WebKitEvent))
+#define WEBKIT_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  WEBKIT_TYPE_EVENT, WebKitEventClass))
+#define WEBKIT_IS_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), WEBKIT_TYPE_EVENT))
+#define WEBKIT_IS_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  WEBKIT_TYPE_EVENT))
+#define WEBKIT_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  WEBKIT_TYPE_EVENT, WebKitEventClass))
+
+typedef struct _WebKitEventPrivate WebKitEventPrivate;
+
+struct _WebKitEvent {
+    GObject parent_instance;
+
+    WebKitEventPrivate *priv;
+};
+
+struct _WebKitEventClass {
+    GObjectClass parent_class;
+};
+
+WEBKIT_API GType
+webkit_event_get_type (void);
+
+WEBKIT_API WebKitEvent *
+webkit_event_new      (void);
+
+/*WEBKIT_API void
+webkit_event_set_uri  (WebKitEvent *request,
+                                 const gchar*          uri);*/
+
+G_END_DECLS
+
+#endif
